@extends('Admin.layout.main')

@section('header')
    Edit Brochure
    <a href="{{url('/admin/brochures/create')}}" class="btn btn-default pull-right">Add new</a>
@endsection

@section('content')
<form class="form-horizontal" role="form" method="POST" action="" enctype="multipart/form-data">
<input type="hidden" name="id" id="brand_id" value="{{ isset($brochure->id)?$brochure->id:'' }}" />

    <div class="row">
        <div class="col-md-8">
            <div class="box box-danger">            
                <div class="box-body">
                        {{ csrf_field() }}     
                        <div class="form-group row">
                            <label for="title" class="col-md-12">Title</label>

                            <div class="col-md-12">
                                <input id="title" type="text" class="form-control" name="title" value="{{ isset($brochure->title)?$brochure->title:old('title')}}" required placeholder="Enter Title">
                               
                                
                               
                            </div>
                        </div>  
                        <div class="form-group row">
                            <label for="content" class="col-md-12">Document</label>

                           
                            <div class="col-sm-6">
                                <input type="file" accept=".pdf" class="form-control" @if(!isset($brochure->file)) required  @endif name="file" value=""/>
                            </div>
                        </div> 
                       
                        <div class="form-group row">

                        <div class="col-md-12">
                          
                               @if(isset($brochure->file))
                                  <a target="_blank" href="{{url('storage/brochure/'. $brochure->file)}}"><i class="fa fa-file-pdf-o" aria-hidden="true"></i>&nbsp; &nbsp;{{$brochure->title}} </a>
                                   
                                    <br><br>
                               @endif
                           
                        </div>
                    </div>
                       

                     
                        
                         
                </div>
            </div>
            
         
            
        </div>
        <div class="col-md-4">
            <div class="box box-danger">            
                <div class="box-body">
                    <div class="row form-group">
                                <div class="col-md-6">
                                    <a class="btn btn-default pull-left back-to-button" href="{{url('/admin/brochures')}}"."?s=".Request::input("s")."&limit=".Request::input("limit")."&page=".Request::input("page")" >&laquo; Back to list</a>
                                </div>
                                <div class="col-md-6">
                                <input type="hidden"  name="post_type" id="post_type" value="" />
                                <button type="submit" class="editor-submit btn btn-danger pad_lr_20 pull-right">
                                    Save
                                </button>
                                </div>
                        </div><hr>
                       
                        <div class="row form-group">
                            <label for="" class="col-md-12">
                                Featured image
                                <br/><small class="red">(Recommended size :330 x 165 px )</small>
                                </label>
                            <div class="imageArea col-md-12">
                                @if(isset($brochure->featured_image) && $brochure->featured_image != '' && file_exists(storage_path('app/public/brochure/'.$brochure->featured_image)))
                                <img src="{{url('storage/brochure/' . $brochure->featured_image)}}" alt="add-image" width="100" class="image-image" /><br>
                                <br/><a href="javascript:" id="deleteImage" class="mg0_10 remove-image pull-left" action="remove_logo" data-id="{{$brochure->id}}" title="Click to delete"><i class="fa fa-trash"></i> Remove Image</a>
                             
                              {{--@elseif(old('featured_image') !=  null && file_exist('temp/'.old('featured_image')))
                                <img src="{{asset('temp/' . old('featured_image'))}}" alt="add-image" width="100%" class="image-image" />
                                <br/><a href="javascript:" id="deleteImage" class="mg0_10 remove-image pull-left" data-id="{{old('id')}}" title="Click to delete"><i class="fa fa-trash"></i> Remove Image</a>
                                --}}
                                @else
                                
                                <div>
                                    <input id="image" type="file" name="featured_image"  />
                                </div>
                                @endif                                
                            </div>

                            
                        </div>

                        
                        <!--<div class="row form-group">
                            <label for="" class="col-md-12">
                                Featured Brand?
                               
                            </label>
                            <select  name="is_featured" id="is_featured" class="form-control">
                            @if($brochure)
                                <option value="Y" @if($brochure->is_featured == 'Y'): selected="selected" @endif>Yes</option>
                                <option value="N" @if($brochure->is_featured == 'N'): selected="selected" @endif>No</option>
                                @else
                                <option value="Y">Yes</option>
                                <option value="N">No</option>
                                @endif
                            </select>    
                            <div>

                            </div>
                        </div>-->
                     
                       
                        
                        
                        
                </div>
            </div>
         
           
        </div>

      
</form>
@endsection
@section('script')
<script type="text/javascript">
$(document).ready( function() {
    
    $('.remove-image').click(function(e) {
		var id = $(this).data('id');
		var $this 	= $(this);
        var action = $this.attr('action');
		if(confirm("Are you sure to remove this image?")){
			$(this).html('<i class="fa fa-spinner fa-pulse"></i> Please wait..');
			$.getJSON("{{env('ADMIN_URL')}}/admin/brands/ajax",{id : id, action: action },function(data){
				$this.html('<i class="fa fa-trash"></i> Remove image');
                                
				if(data.status == 'success'){ 
					$this.closest('img.image-image').remove();	
                    if(action=="remove_logo")
					$this.closest('div').html('<div class="col-md-8"><input id="image" type="file" name="image"  /></div>');
                    else
				    $this.closest('div').html('<div class="col-md-8"><input id="bannerimage" type="file" name="banner_image"  /></div>');
                }

			});
		}
		
    });
    
    $('body').on("click", "a.remove-upload", function (e) { 
        $(this).closest('li.upload-thumb').css("background-color","#E5E5E5").fadeOut(500, function(){ 
            $(this).find('input[name="photos[]"]').val(function() {
                        return this.value + '#remove';
                    }).css('visibility','hidden');
            //$(this).remove();
        });
    });  
    //***********UPLOAD IMAGE *********************//
        
    $('.upload-image').change(function(e) {  
        var CSRF_TOKEN = $('meta[name="csrf-token"]').attr('content');
        var file_data = $("#uploadImage").prop("files")[0];   // Getting the properties of file from file field
	var form_data = new FormData();                  // Creating object of FormData class
	form_data.append("file", file_data)  ; 
        form_data.append("folder", 'images') ;
        form_data.append("_token", CSRF_TOKEN) ;
        
        
	$.ajax({
                url: "{{env('ADMIN_URL')}}/admin/ajax/upload')",
                dataType: 'json',
                cache: false,
                contentType: false,
                processData: false,
                data: form_data,                         // Setting the data attribute of ajax with file_data
                type: 'post',
       }).done(function( result ){
                if(result.status == 'success') {
                        var html = '<li class="upload-thumb"><a href="javascript:void(0);" class="remove-upload red"><i class="fa fa-trash" aria-hidden="true"></i></a><a href="'+result.image_url+'" target="_blank"><img alt="add-image" src="'+result.image_url+'" width="90"></a><input type="hidden" name="photos[]" value="'+result.image_name+'" /></li>';
                        $(html).insertBefore('li.upload-addimg');
                        $(".loadings").fadeOut('slow');
                }
                else{
                        $(".loadings").fadeOut('slow');
                        $("#PasswordError").html('<div class="alert alert-error"><button type="button" class="close" data-dismiss="alert">×</button>'+result.message+'</div>');	
                }

        }).error(function(){
                alert("Internal server error occured. May be the uploaded image size is too large. Please try with another image!!" );
                $(".loadings").fadeOut('slow');
        });
        
});
	//***********END : UPLOAD IMAGE *********************//
 $('.photos-external').click(function(){
    $(this).next('input').removeClass('hide');
 });
 
 
 /** Slug Edit **/
 $('#title').keyup(function(e) {
       if($('#brand_id').val() == ''){ 
            if($(this).val() != '' ){
             $('#slug_area').removeClass('hide');	
            }

            var Text  = $('#title').val();
            var name  =  Text.toLowerCase().replace(/ /g,'-').replace(/[^\w-]+/g,'');
                name  = name.replace('---', '-');
                name  = name.replace('--', '-');
                
            $('#post_url').html(name);
            $('#slug').val(name);
        }
        return ;
            
    });
    $('#edit_postname').click(function(e) {
        $('#post_url').addClass('hide');
	$('#slug').attr('type','text');
	$(this).addClass('hide');
        $('#save_postname').removeClass('hide');
    });
    
    $('#save_postname').click(function(e) {
        var id = $('#brand_ id').val();
        var $this = $(this);
        $('#loader').removeClass('hide');
        $.getJSON("{{env('ADMIN_URL')}}/admin/brands/ajax",{id : id, name:$('#slug').val(), action: 'check_name' },function(data){
                $('#loader').addClass('hide');
                $('#slug').val(data.value).attr('type','hidden');
                $('#post_url').removeClass('hide').html($('#slug').val());
                $('#edit_postname').removeClass('hide');
                $this.addClass('hide');					
        });
    });
    
   
});

function selectText(id){
    var sel, range;
    var el = document.getElementById(id); //get element id
    if (window.getSelection && document.createRange) { //Browser compatibility
      sel = window.getSelection();
      if(sel.toString() == ''){ //no text selection
         window.setTimeout(function(){
            range = document.createRange(); //range object
            range.selectNodeContents(el); //sets Range
            sel.removeAllRanges(); //remove all ranges from selection
            sel.addRange(range);//add Range to a Selection.
        },1);
      }
    }else if (document.selection) { //older ie
        sel = document.selection.createRange();
        if(sel.text == ''){ //no text selection
            range = document.body.createTextRange();//Creates TextRange object
            range.moveToElementText(el);//sets Range
            range.select(); //make selection.
        }
    }
}

</script>
@endsection
