@extends('Admin.layout.main')
@section('header')
    All Brochures
    <a href="{{url('/admin/brochures/create')}}" class="btn btn-default pull-right">Add new</a>

@endsection    

@section('content')
<div class="row">
    <div class="col-lg-12">
        @if(Request::segment(3) == 'trashed')
        <a href="{{url('admin/brochures')}}" class="pull-right  btn  btn-primary">Back to list</a>
        @else
        <a href="{{url('/admin/brochures/trashed')}}" class="pull-right btn  btn-primary">Trashed brochures   </a><br>
        @endif
    </div>
</div>
<form name="form-user" id="brandsFrm" class="form-filter" action="" method="get" >
@csrf
    <div class="row">
        <div class="col-lg-12">
          <div class="box box-danger">
              @if(Request::segment(3) != 'trashed')
              <div class="box-header bg-gray">
                  <div class="row">
                  <div class="col-lg-3">
                      <div class="input-group my-group"> 
                  <select id="bulkaction" name="action" class=" form-control" data-live-search="true" >
                      <option value="">Bulk Action</option>
                      @if(Request::segment(3) == 'trashed')
                      <option value="restore">Restore</option>
                      <option value="delete">Delete Permanently</option> 
                      @else
                      <option value="trash">Trash</option> 
                      @endif
                  </select> 
                  <span class="input-group-btn">
                      <button id="bulkactionConfirm" class="btn btn-default my-group-button" type="button">Apply</button>
                  </span>      
                      </div>
                  </div>
                  <div class="col-lg-6"></div>
                  <div class="col-lg-3">
                  @include('Admin.common-search')
                  </div>
                  </div>
              </div>
              @else
              <div class="box-header">
              <div class="row">
                <div class="col-sm-3">
                      <div class="input-group my-group"> 
                  <select id="bulkaction" name="action" class=" form-control" data-live-search="true" >
                      <option value="">Bulk Action</option>
                      @if(Request::segment(3) == 'trashed')
                      <option value="restore">Restore</option>
                      <option value="delete">Delete Permanently</option> 
                      @else
                      <option value="trash">Trash</option> 
                      @endif
                  </select> 
                  <span class="input-group-btn">
                      <button id="bulkactionConfirm" class="btn btn-default my-group-button" type="button">Apply</button>
                  </span>      
                      </div>
                  </div>
                <div class="col-sm-6">

                </div>
                <div class="col-sm-3">
                  @include('Admin.common-search')
                </div>
            </div>
              </div>
              @endif
              
            <div class="box-body">
              <div id="example1_wrapper" class="dataTables_wrapper dt-bootstrap">
                <div class="row">
                    <div class="col-sm-12">
                      <table id="table-sort" class="table table-bordered table-striped dataTable" role="grid" aria-describedby="example1_info">
              <thead>
              <tr role="row">
                <th width="4%"></th>
                <th width="4%" class="sorting_asc" tabindex="0" aria-controls="example1" rowspan="1" colspan="1" aria-sort="ascending" aria-label=""><input type="checkbox" class="check_all" /></th>
                <th width="42%" class="sorting">Title</th>
                <!-- <th width="5%" class="sorting">Logo</th>
                <th width="5%" class="sorting">Banner</th>
                <th width="5%" >Products </th> -->
                <th width="20%" class="sorting">Created on</th>
                @if(Auth::user()->role == 'Super Admin' )
                <th width="15%" class="sorting">Updated on</th>
                @endif
              </tr>
              </thead>
              <tbody>
              @forelse($results as $i=>$result)
                  <tr role="row" class="@if($i%2==0) even @else odd @endif data" id="{{$result->id}}">
                    
                      <td class="sorting_1 dragHandle">
                         
                          <a href="javascript:" title="Drag to change order" class="gray"><i class="fa fa-ellipsis-v"></i>&nbsp;<i class="fa fa-ellipsis-v"></i></a>
                         
                      </td>  
                    
                    <td class="">
                        
                        <input type="checkbox" value="{{$result->id}}" name="id[]"  class="check_id bulk" />
                        
                    </td>

                    <td>
                        <a href="{{url('/admin/brochures/edit/'.$result->id.'?s='.Request::input("s").'&limit='.Request::input("limit").'&page='.Request::input("page"))}}" title="Edit brochures" >{{$result->title}}</a>
                           
                       
                        <div class="icons">
                            
                                
                            
                               
                        @if($result->status == 'Y' )
                                <a href="javascript:" class="margin-r-5 status text-success" data-id="{{$result->id}}" data-status="{{$result->status}}" title="Click to disable"><i class="fa fa-check-square" aria-hidden="true"></i>Active</a>
                                @elseif($result->status == 'N' )
                                <a href="javascript:" class="margin-r-5 status text-warning" data-id="{{$result->id}}" data-status="{{$result->status}}" title="Click to Enable"  ><i class="fa fa-check-square" aria-hidden="true"></i>Inactive</a>
                                @endif
                                @if($result->status != 'T' )
                                |<a href="{{url('/admin/brochures/edit/'.$result->id.'?s='.Request::input("s").'&limit='.Request::input("limit").'&page='.Request::input("page"))}}" class="margin-5 margin-r-5 text-danger" data-id="{{$result->id}}"  title="Click to edit"><i class="fa fa-pencil-square-o" aria-hidden="true"></i>Edit</a>
                                |<a href="{{url('/admin/brochures/remove/'.$result->id)}}" onclick="javascript:return confirm('Are you sure to remove this item?')?true:false;"  class="margin-5 trash gray" data-id="{{$result->id}}" data-status="{{$result->status}}" title="Click to delete"><i class="fa fa-trash"></i>&nbsp;Trash</a>
                                
                                @else
                                <a href="{{url('/admin/brochures/restore/'.$result->id)}}" onclick="javascript:return confirm('Are you sure to restore this item?')?true:false;"  class="margin-5 trash text-warning" data-id="{{$result->id}}" data-status="{{$result->status}}" title="Click to Restore"><i class="fa fa-retweet"></i>&nbsp;Restore</a>
                                <a href="{{url('/admin/brochures/delete/'.$result->id)}}" onclick="javascript:return confirm('Are you sure to delete permanently this item?')?true:false;"  class="margin-5 trash text-danger" data-id="{{$result->id}}" data-status="{{$result->status}}" title="Click to Delete Permanently"><i class="fa fa-remove"></i>&nbsp;Delete Permanently</a>
                                @endif
                        </div>
                      </td>
                    <!-- <td>@if($result->image != '' && file_exists(storage_path("app/public/brochures/".$result->image)))
                        <a class="fancybox" data-fancybox="event" target="_blank" href="{{url("/storage/brochures/".$result->image)}}">
                            <img src="{{url("/storage/brochures/".$result->image)}}" alt="add-image" width="40" height="40" />
                        </a>
                        @endif
                    </td>  
                    <td>@if($result->banner_image != '' && file_exists(storage_path("app/public/brochures/banners/".$result->banner_image)))
                        <a  target="_blank" href="{{url("/storage/brochures/banners/".$result->banner_image)}}">
                            <img src="{{url("/storage/brochures/banners/".$result->banner_image)}}" alt="add-image" width="80" height="40" />
                        </a>
                        @endif
                    </td>  
                    <td align="center">
                                
                                  @if($result->products->count() > 0 )
                                    <a class="" href="{{url('/admin/products?filter_brand='.$result->id)}}">{{ ($result->products->count() != null)?$result->products->count():'0'}} &nbsp;<small>[view]</small></a>
                                  @endif
                               
                     </td> -->
                    <td>{{date("M d, Y",strtotime($result->created_at))}}</td>
                    @if(Auth::user()->role == 'Super Admin' )
                    <td>{{date("M d, Y",strtotime($result->updated_at))}}</td>
                    @endif
                  </tr>
                  
              @empty
                  <tr role="row" class="odd">
                      <td colspan="6">There are no record found.</td>
                  </tr> 
              @endforelse

              </tbody>
            </table>
                    </div>
                </div>
                <div class="row">
                <div class="col-sm-3">

                      <div class="dataTables_length" id="example1_length" style="margin-top: 20px;">
                            <label>Limit: 
                                {{ Form::select('limit', ['5'=>5,'10'=>10,'25'=>25,'50'=>50,'100'=>100], 
                                  app('request')->input('limit')?app('request')->input('limit'):$filter['limit'], array(
                                      'class' => 'form-control input-sm page-limit',
                                      'id' => 'page_limit',
                                      'style' => 'width:70px;'
                                  )) }}

                                  &nbsp;Showing {{(($results->currentPage()-1)*$results->perPage())+1}} to {{((($results->currentPage())* $results->perPage())==0)?$results->total():((($results->currentPage() * $results->perPage() ) > $results->total()) ? $results->total():($results->currentPage() * $results->perPage() ))}}  of {{$results->total()}} entries 
                                  </label>
                      </div>

                </div>
                <div class="col-sm-7">
                    <div class="dataTables_paginate paging_simple_numbers pull-right" id="example1_paginate">
                        {{ $results->appends(request()->except('page'))->links() }}
                    </div>
                    <div class="pull-right" style="margin: 20px;">
                        <label>Current Page:</label>
                        <select  name="page" class="select2 pull-left btn btn-mini page">
                            @for($p=1;$p<=$results->lastPage(); $p++)
                            <option value="{{$p}}" @if(Request::input('page') == $p) selected="selected" @endif>{{$p}}</option>
                            @endfor
                        </select> 
                    </div>
                  </div>
                   <div class="col-sm-2">
                        
                          <button type="button" name="update_order" id="update_order" class="btn btn-danger pull-right">Update Order</button>     
                          
                    </div> 
              </div></div>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>
      </div>
</form>
@endsection
@section('script')
<script>
 //****** Common click funtion ***//
   $(document).ready(function(e) {    
            $('.status').click(function(){ 
		if(confirm("Are you sure to change status of this item?")){
			var id		= $(this).data('id');	
			var status 	= $(this).data('status');	
			var CSRF_TOKEN = $('meta[name="csrf-token"]').attr('content');
                        
			var $this 	= $(this);
			$(this).html('<i class="fa fa-spinner fa-pulse"></i>');
                        $.ajax({
                                url: "{{url('/admin/brochures/ajax')}}",
                                method: 'POST',
                                dataType: 'json',
                                data:{id : id, action: 'status', status:status, _token: CSRF_TOKEN },
                                error: function(){
                                    alert('Internal server error.!!');
                                    //location.reload(); 
                                },    
                                success: function (data) {
                                    var labl = (status=='Y')?'Inactive':'Active';    
                                    $this.html('<i class="fa fa-check-square"></i>'+labl);
                                    if(data.status == 'success'){
                                            $this.removeClass((status=='Y')?'green':'hash');
                                            $this.addClass((status=='Y')?'hash':'green');
                                            $this.data('status',(status=='Y')?'N':'Y');
                                    }
                                    else{
                                            alert(data.message);
                                           // location.reload();
                                    }

                                }

                        });
		}
		return false;
	});
        
       
        
        $('#update_order').click(function(){
       if($('#table-sort tr.data').length > 0){
           var ids = [];
           var CSRF_TOKEN = $('meta[name="csrf-token"]').attr('content');
           $('#table-sort tr.data').each(function(){
               
               ids.push(parseInt($(this).attr('id')))
           })
           if(ids.length > 0 ){
                $.ajax({
                    url: "{{url('/admin/brochures/ajax')}}",
                     method: 'POST',
                     dataType: 'json',
                     data:{ action: 'sort_order',ids:ids, _token: CSRF_TOKEN },
                     error: function(){
                         alert('Internal server error.!!');
                         location.reload(); 
                     },    
                     success: function (data) {

                         if(data.status == 'success'){
                            alert('Order has been updated');    
                         }
                         else{
                                 alert(data.message);
                                 location.reload();
                         }

                     }

                  });
              }
        }
       
   });
   
    $('.check_all').click(function(e) {
        if($(this).is(':checked') == true){
			$('.bulk').prop('checked',true);
		}
		else{
			$('.bulk').prop('checked',false);
		}
    });
    
    /**** Bulk action ****/
    $('#bulkactionConfirm').click(function(){
		if($('#bulkaction').val() == ''){
			alert('Please select any action.!');	
		}
		else if($('#bulkaction').val() == 'trash'){
			if($('.bulk:checked').length > 0 ){
				if(confirm("Are you sure to trash selected product(s)?")){
                                   $('#brandsFrm').attr('action',"{{url('/admin/brochures/remove')}}").submit();
				}
			}
			else{
				alert('Please select at least one record.!');
				return false;
			}
		}
                else if($('#bulkaction').val() == 'restore'){
			if($('.bulk:checked').length > 0 ){
				if(confirm("Are you sure to restore selected product(s)?")){
                                   $('#brandsFrm').attr('action',"{{url('/admin/brochures/restore')}}").submit();
				}
			}
			else{
				alert('Please select at least one record.!');
				return false;
			}
		}
                else if($('#bulkaction').val() == 'delete'){
			if($('.bulk:checked').length > 0 ){
				if(confirm("Are you sure to delete permanently selected product(s)?")){
                                   $('#brandsFrm').attr('action',"{{url('/admin/brochures/delete')}}").submit();
				}
			}
			else{
				alert('Please select at least one record.!');
				return false;
			}
		}
                
		
	});
 });
 </script>
@endsection
